﻿using System;
using System.Data;
using System.Data.Common;
using System.Data.SqlClient;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace NCI.EasyObjects
{
    /// <summary>
    /// Create Dababase from StringConnection
    /// </summary>
    public class DynamicDatabase
    {
        public static Database CreateDatabase(string ConnectionString, DbProviderFactory dbProviderFactory)
        {
	        return new GenericDatabase(ConnectionString, dbProviderFactory);
        }

        public static Database CreateDatabase(string Server, string Bb, string Id, string Password, bool IntegratedSecurity, DbProviderFactory dbProviderFactory)
        {
            string ConnectionString = string.Empty;

            if (IntegratedSecurity == true) {
                ConnectionString = string.Format("Server={0};Database={1};Integrated Security={2}", Server, Bb, IntegratedSecurity);
            } else {
                ConnectionString = string.Format("Server={0};Database={1};Integrated Security={2};UID={3};PWD={4}", Server, Bb, IntegratedSecurity, Id, Password);
            }
	        return new GenericDatabase(ConnectionString, dbProviderFactory);
        }
    }
}
